1091de467cafa77ad2400538a53757aba350eb7d
[deliverable/binutils-gdb.git] / configure
1 #!/bin/sh
2
3 # Configuration script
4 # Copyright (C) 1988, 1990, 1991 Free Software Foundation, Inc.
5
6 #This file is part of GNU.
7
8 # This program is free software; you can redistribute it and/or modify
9 # it under the terms of the GNU General Public License as published by
10 # the Free Software Foundation; either version 2 of the License, or
11 # (at your option) any later version.
12 #
13 # This program is distributed in the hope that it will be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write to the Free Software
20 # Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */
21
22 # $Id$
23
24 # Please email any bugs, comments, and/or additions to this file to:
25 # configure@cygnus.com
26
27 #
28 # Shell script to create proper links to machine-dependent files in
29 # preparation for compilation.
30 #
31 # If configure succeeds, it leaves its status in config.status.
32 # If configure fails after disturbing the status quo,
33 # config.status is removed.
34 #
35
36 export PATH || (echo "OOPS, this isn't sh. Desperation time. I will feed myself to sh."; sh $0 $argv; kill $$)
37
38 #set -e
39
40 remove=rm
41 hard_link=ln
42 symbolic_link='ln -s'
43
44 #for Test
45 #remove="echo rm"
46 #hard_link="echo ln"
47 #symbolic_link="echo ln -s"
48
49 # clear some things potentially inherited from environment.
50
51 Makefile=Makefile
52 Makefile_in=Makefile.in
53 ansi=
54 arguments=$*
55 commontargets=
56 configdirs=
57 defaulttargets=
58 destdir=
59 fatal=
60 hostsubdir=
61 norecursion=
62 objdir=
63 objdiroption=
64 progname=
65 recurring=
66 removing=
67 srcdir=
68 srctrigger=
69 target=
70 targets=
71 targetsubdir=
72 verbose=
73
74 for arg in $*;
75 do
76 case ${arg} in
77 -ansi | +a*)
78 ansi=true
79 clib=clib
80 ;;
81 -destdir=* | +destdir=* | +destdi=* | +destd=* | +dest=* | +des=* | +de=* | +d=*)
82 destdir=`echo ${arg} | sed 's/[+-]d[a-z]*=//'`
83 ;;
84 -languages=* | +languages=* | +language=* | +languag=* \
85 | +langua=* | +langu=* | +lang=* | +lan=* | +la=* \
86 | +l=*)
87 languages="${languages} `echo ${arg} | sed 's/[+-]l[a-z]*=//'`"
88 ;;
89 -gas | +g*)
90 gas=yes
91 ;;
92 -help | +h*)
93 fatal=true
94 ;;
95 -nfp | +nf*)
96 nfp=yes
97 ;;
98 -norecursion | +no*)
99 norecursion=true
100 ;;
101 -objdir=* | +objdir=* | +objdi=* | +objd=* | +obj=* | +ob=* | +o=*)
102 objdiroption=${arg}
103 objdir=`echo ${arg} | sed 's/[+-]o[a-z]*=//'`
104 ;;
105 -recurring | +recurring | +recurrin | +recurri | +recurr | +recur | +recu | +rec | +re)
106 recurring=true
107 ;;
108 -rm | +rm)
109 removing=${arg}
110 ;;
111 -site=* | +site=* | +sit=* | +si=*)
112 site=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
113 ;;
114 # -srcdir=* | +srcdir=* | +srcdi=* | +srcd=* | +src=* | +sr=*)
115 # srcdir=`echo ${arg} | sed 's/[+-]s[a-z]*=//'`
116 # ;;
117 -subdirs | +su*)
118 subdirs=${arg}
119 ;;
120 -target=* | +target=* | +targe=* | +targ=* | +tar=* | +ta=*)
121 if [ -n "${targets}" ] ; then
122 subdirs="+subdirs"
123 fi
124
125 newtargets="${targets} `echo ${arg} | sed 's/[+-]t[a-z]*=//'`"
126 targets="${newtargets}"
127 ;;
128 -tmpdir=* | +tmpdir=* | +tmpdi=* | +tmpd=* | +tmp=* | +tm=*)
129 tmpdiroption=${arg}
130 TMPDIR=`echo ${arg} | sed 's/[+-]t[a-z]*=//'`
131 ;;
132 -v | -verbose | +v*)
133 verbose=${arg}
134 ;;
135 -* | +*)
136 (echo ;
137 echo "Unrecognized option: \"${arg}\"". ;
138 echo) 1>&2
139 fatal=true
140 ;;
141 *)
142 if [ -n "${hosts}" ] ; then
143 subdirs="+subdirs"
144 fi
145
146 newhosts="${hosts} ${arg}"
147 hosts=${newhosts}
148 ;;
149 esac
150 done
151
152 if [ -n "${verbose}" ] ; then
153 echo $0 $*
154 fi
155
156 ## this is a little touchy and won't always work, but...
157 ##
158 ## if the argv[0] starts with a slash then it is an absolute name that can be
159 ## used as is.
160 ##
161 ## otherwise, if argv[0] has no slash in it, we can assume that it is on the
162 ## path. Since PATH might include "." we also add `pwd` to the end of PATH.
163 ##
164 ## otherwise we prepend `pwd` to $0 and hope that will give us an absolute
165 ## path.
166 ##
167
168 if (echo $0 | grep '^/' > /dev/null) ; then
169 progname=$0
170 else
171 if (echo $0 | grep '/' > /dev/null) ; then
172 progname=`pwd`/$0
173 else
174 progname=$0
175 PATH=$PATH:`pwd` ; export PATH
176 fi
177 fi
178
179 configsub=`echo ${progname} | sed 's/configure$/config.sub/'`
180
181 if ${configsub} none >/dev/null 2>&1 ; then
182 true
183 else
184 echo '***' cannot find config.sub.
185 echo 1
186 fi
187
188 # process host and target only if not removing.
189 if [ -z "${removing}" -a -z "${fatal}" ] ; then
190 # Complain if an arg is missing
191 if [ -z "${hosts}" ] ; then
192 (echo ;
193 echo "configure: No HOST specified." ;
194 echo) 1>&2
195 fatal=true
196 fi
197 fi
198
199 if [ -n "${fatal}" -o "${hosts}" = "help" ] ; then
200 (echo "Usage: configure HOST" ;
201 echo ;
202 echo "Options: [defaults in brackets]" ;
203 echo " +ansi configure w/ANSI library. [no ansi lib]" ;
204 echo " +destdir=MYDIR configure for installation into MYDIR. [\"/usr/local\"]" ;
205 echo " +gas configure the compilers for use with gas. [native as]" ;
206 echo " +help print this message. [normal config]" ;
207 echo " +lang=LANG configure to build LANG. [gcc]" ;
208 echo " +nfp configure the compilers default to soft floating point. [hard float]" ;
209 echo " +norecursion configure this directory only. [recurse]" ;
210 echo " +objdir=ODIR configure in a parallel tree rooted in ODIR. [rooted in \".\"]" ;
211 echo " +rm remove this configuration. [build a configuration]" ;
212 echo " +site configure with site specific makefile" ;
213 # This is correctly aligned in the output, even though it isn't here.
214 echo " +subdirs configure in subdirectories. [in source directories]" ;
215 echo " +target=TARGET configure for TARGET. [TARGET = HOST]" ;
216 echo " +tmpdir=TMPDIR create temporary files in TMPDIR. [ TMPDIR = \"/tmp\" ]" ;
217 echo ;
218 echo "Where HOST and TARGET are something like \"vax\", \"sun3\", \"encore\", etc." ;
219 echo "Asking for more than one \"+target\" implies \"+subdirs\". Any other" ;
220 echo "options given will apply to all targets.") 1>&2
221
222 if [ -r config.status ] ; then
223 cat config.status
224 fi
225
226 exit 1
227 fi
228
229 ### break up configure.in.
230 if [ -r configure.in ] ; then
231 if [ -z "`grep '^# per\-host:' configure.in`" ] ; then
232 echo '***' `pwd`/configure.in has no "per-host:" line. 1>&2
233 exit 1
234 fi
235
236 if [ -z "`grep '^# per\-target:' configure.in`" ] ; then
237 echo '***' `pwd`/configure.in has no "per-target:" line. 1>&2
238 exit 1
239 fi
240
241 if [ -z "${TMPDIR}" ] ; then
242 TMPDIR=/tmp ; export TMPDIR
243 fi
244
245 # keep this filename short for &%*%$*# 14 char file names
246 tmpfile=${TMPDIR}/cONf$$
247
248 # split configure.in into common, per-host, per-target,
249 # and post-target parts. Post-target is optional.
250 sed -e '/^# per\-host:/,$d' configure.in > ${tmpfile}.com
251 sed -e '1,/^# per\-host:/d' -e '/^# per\-target:/,$d' configure.in > ${tmpfile}.hst
252 if grep '^# post-target:' configure.in >/dev/null ; then
253 sed -e '1,/^# per\-target:/d' -e '/^# post\-target:/,$d' configure.in > ${tmpfile}.tgt
254 sed -e '1,/^# post\-target:/d' configure.in > ${tmpfile}.pos
255 else
256 sed -e '1,/^# per\-target:/d' configure.in > ${tmpfile}.tgt
257 echo >${tmpfile}.pos
258 fi
259
260 else
261 echo '***' No configure.in in `pwd`
262 exit 1
263 fi
264
265 ### do common part of configure.in
266
267 . ${tmpfile}.com
268
269 # some sanity checks on configure.in
270 if [ -z "${srctrigger}" ] ; then
271 echo '***' srctrigger not set in `pwd`/configure.in.
272 exit 1
273 fi
274
275 for host in ${hosts} ; do
276 # Default other arg
277 if [ -z "${targets}" -o -n "${defaulttargets}" ] ; then
278 targets=${host}
279 defaulttargets=true
280 fi
281
282 host_alias=${host}
283
284 result=`${configsub} ${host}`
285 host_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
286 host_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
287 host_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
288 host=${host_cpu}-${host_vendor}-${host_os}
289 host_makefile_frag=config/hmake-${host}
290
291 . ${tmpfile}.hst
292
293 for target in ${targets} ; do
294
295 target_alias=${target}
296 result=`${configsub} ${target}`
297 target_cpu=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
298 target_vendor=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
299 target_os=`echo $result | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
300 target=${target_cpu}-${target_vendor}-${target_os}
301 target_makefile_frag=config/tmake-${target}
302
303 . ${tmpfile}.tgt
304
305 # Temporarily, we support only direct subdir builds.
306 hostsubdir=H-${host_alias}
307 targetsubdir=T-${target_alias}
308
309 if [ -n "${removing}" ] ; then
310 if [ -n "${objdir}" ] ; then
311 echo '***' +rm not supported for +objdir. Just \"rm -rf ${objdir}\" by hand.
312 exit 1
313 fi
314
315 if [ -n "${subdirs}" ] ; then
316 if [ -d "${hostsubdir}" ] ; then
317 rm -rf ${hostsubdir}/${targetsubdir}
318
319 if [ -z "`(ls ${hostsubdir}) 2>&1 | grep T- | grep -v T-independent`" ] ; then
320 rm -rf ${hostsubdir}
321 fi
322 else
323 echo Warning: no `pwd`/${hostsubdir} to remove.
324 fi
325 else
326 rm -f ${Makefile} config.status ${links}
327 fi
328 else
329 if [ -n "${objdir}" ]; then
330 srcdir=`pwd`
331 cd ${objdir}
332 fi
333
334 if [ -n "${subdirs}" ] ; then
335 # check for existing status before allowing forced subdirs.
336 if [ -f ${Makefile} ] ; then
337 echo '***' "${Makefile} already exists in source directory. `pwd` not configured." 1>&2
338 exit 1
339 fi
340
341 if [ ! -d ${hostsubdir} ] ; then mkdir ${hostsubdir} ; fi
342 cd ${hostsubdir}
343
344 if [ ! -d ${targetsubdir} ] ; then
345 if [ -z "${commontargets}" ] ; then
346 mkdir ${targetsubdir}
347 else
348 if [ ! -d T-independent ] ; then
349 mkdir T-independent
350 fi
351
352 ${symbolic_link} T-independent ${targetsubdir}
353 fi # if target independent
354 fi # if no target dir yet
355
356 cd ${targetsubdir}
357
358 if [ -z "${srcdir}" ] ; then
359 srcdir=../..
360 fi
361 else
362 # if not subdir builds, then make sure none exist.
363 if [ -n "`(ls .) 2>&1 | (grep H- ; true)`" ] ; then
364 echo '***' "Configured subdirs exist. `pwd` not configured." 1>&2
365 exit 1
366 else
367 true
368 fi
369 fi
370
371 # Find the source files, if location was not specified.
372 if [ -z "${srcdir}" ] ; then
373 srcdirdefaulted=1
374 srcdir=.
375 if [ -n "${srctrigger}" -a ! -r ${srctrigger} ] ; then
376 srcdir=..
377 fi
378 fi
379
380 if [ -n "${srctrigger}" -a ! -r ${srcdir}/${srctrigger} ] ; then
381 if [ -z "${srcdirdefaulted}" ] ; then
382 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/${srcdir}" 1>&2
383 else
384 echo '***' "${progname}: Can't find ${srcname} sources in `pwd`/. or `pwd`/.." 1>&2
385 fi
386
387 echo '***' \(At least ${srctrigger} is missing.\) 1>&2
388 exit 1
389 fi
390
391 # Set up the list of links to be made.
392 # ${links} is the list of link names, and ${files} is the list of names to link to.
393
394 # Make the links.
395 while [ -n "${files}" ] ; do
396 # set file to car of files, files to cdr of files
397 set ${files}; file=$1; shift; files=$*
398 set ${links}; link=$1; shift; links=$*
399
400 if [ ! -r ${srcdir}/${file} ] ; then
401 echo '***' "${progname}: cannot create a link \"${link}\"," 1>&2
402 echo '***' "since the file \"${file}\" does not exist." 1>&2
403 exit 1
404 fi
405
406 ${remove} -f ${link}
407 rm -f config.status
408 # Make a symlink if possible, otherwise try a hard link
409 ${symbolic_link} ${srcdir}/${file} ${link} 2>/dev/null || ${hard_link} ${srcdir}/${file} ${link}
410
411 if [ ! -r ${link} ] ; then
412 echo '***' "${progname}: unable to link \"${link}\" to \"${srcdir}/${file}\"." 1>&2
413 exit 1
414 fi
415
416 if [ -n "${verbose}" ] ; then
417 echo "Linked \"${link}\" to \"${srcdir}/${file}\"."
418 fi
419 done
420
421 # Create a .gdbinit file which runs the one in srcdir
422 # and tells GDB to look there for source files.
423
424 case ${srcdir} in
425 .)
426 ;;
427 *)
428 echo "dir ." > .gdbinit
429 echo "dir ${srcdir}" >> .gdbinit
430 echo "source ${srcdir}/.gdbinit" >> .gdbinit
431 ;;
432 esac
433
434 # Install a makefile, and make it set VPATH
435 # if necessary so that the sources are found.
436 # Also change its value of srcdir.
437
438 # FIXME-someday: This business of always writing to .tem and mv back
439 # is so that I don't screw things up while developing. Once this
440 # template is stable, these should be optimized. xoxorich.
441
442 # Define macro CROSS_COMPILE in compilation if this is a cross-compiler.
443 if [ "${host}" != "${target}" ] ; then
444 echo "CROSS=-DCROSS_COMPILE" > ${Makefile}
445 echo "ALL=start.encap" >> ${Makefile}
446 else
447 echo "ALL=all.internal" > ${Makefile}
448 fi
449
450 # set target, host, VPATH
451 echo "host_alias = ${host_alias}" >> ${Makefile}
452 echo "host_cpu = ${host_cpu}" >> ${Makefile}
453 echo "host_vendor = ${host_vendor}" >> ${Makefile}
454 echo "host_os = ${host_os}" >> ${Makefile}
455
456 echo "target_alias = ${target_alias}" >> ${Makefile}
457 echo "target_cpu = ${target_cpu}" >> ${Makefile}
458 echo "target_vendor = ${target_vendor}" >> ${Makefile}
459 echo "target_os = ${target_os}" >> ${Makefile}
460
461 if [ -n "${subdirs}" ] ; then
462 (echo "subdir = /${hostsubdir}/${targetsubdir}" ;
463 echo "unsubdir = ../..") >> ${Makefile}
464 else
465 (echo "subdir =" ;
466 echo "unsubdir = .") >> ${Makefile}
467 fi
468
469 # echo "workdir = `pwd`" >> ${Makefile}
470 echo "VPATH = ${srcdir}" >> ${Makefile}
471
472 # add "Makefile.in" (or whatever it's called)
473 cat ${srcdir}/${Makefile_in} >> ${Makefile}
474
475 # Conditionalize the makefile for this host.
476 (echo "host_makefile_frag = ${srcdir}/${host_makefile_frag}" ;
477 sed -e "/^####/ r ${srcdir}/${host_makefile_frag}" ${Makefile}) > Makefile.tem
478 mv Makefile.tem ${Makefile}
479
480 # Conditionalize the makefile for this target.
481 (echo "target_makefile_frag = ${srcdir}/${target_makefile_frag}" ;
482 sed -e "/^####/ r ${srcdir}/${target_makefile_frag}" ${Makefile}) > Makefile.tem
483 mv Makefile.tem ${Makefile}
484
485 # Conditionalize the makefile for this site.
486 if [ -n "${site}" ] ; then
487 site_makefile_frag=smake-${site}
488
489 (echo "site_makefile_frag = ${srcdir}/${site_makefile_frag}" ;
490 sed -e "/^####/ r ${srcdir}/${site_makefile_frag}" ${Makefile}) > Makefile.tem
491 mv Makefile.tem ${Makefile}
492 fi
493
494 # set srcdir
495 sed "s@^srcdir = \.@srcdir = ${srcdir}@" ${Makefile} > Makefile.tem
496 mv Makefile.tem ${Makefile}
497
498 # set destdir
499 if [ -n "${destdir}" ] ; then
500 sed "s:^destdir =.*$:destdir = ${destdir}:" ${Makefile} > Makefile.tem
501 mv Makefile.tem ${Makefile}
502 fi
503
504 # reset SUBDIRS
505 sed "s:^SUBDIRS =.*$:SUBDIRS = ${configdirs}:" ${Makefile} > Makefile.tem
506 mv Makefile.tem ${Makefile}
507
508 # reset NONSUBDIRS
509 sed "s:^NONSUBDIRS =.*$:NONSUBDIRS = ${noconfigdirs}:" ${Makefile} > Makefile.tem
510 mv Makefile.tem ${Makefile}
511
512 # remove any form feeds.
513 sed -e "s/\f//" ${Makefile} > Makefile.tem
514 mv Makefile.tem ${Makefile}
515
516 using=
517 if [ -f ${srcdir}/${host_makefile_frag} ] ; then
518 using="${using} and \"${host_makefile_frag}\""
519 fi
520 if [ -f ${srcdir}/${target_makefile_frag} ] ; then
521 using="${using} and \"${target_makefile_frag}\""
522 fi
523 if [ -n "${site}" -a \
524 -f ${srcdir}/${site_makefile_frag} ] ; then
525 using="${using} and \"${site_makefile_frag}\""
526 fi
527 using=`echo "${using}" | sed 's/and/using/'`
528 using="Created \"${Makefile}\" in `pwd`${using}."
529
530 if [ -n "${verbose}" -o -z "${recurring}" ] ; then
531 echo ${using}
532 fi
533
534 . ${tmpfile}.pos
535
536 # describe the chosen configuration in config.status.
537 # Make that file a shellscript which will reestablish
538 # the same configuration. Used in Makefiles to rebuild
539 # Makefiles.
540
541 echo "#!/bin/sh
542 # `pwd` was configured as follows:
543 (cd ${srcdir} ; ${progname}" ${arguments} `if [ -z "${norecursion}" ] ; then echo +norecursion ; else true ; fi` ")
544 # ${using}" > config.status
545 chmod a+x config.status
546
547 originaldir=`pwd`
548 cd ${srcdir}
549 fi
550
551 # If there are subdirectories, then recurse.
552 if [ -z "${norecursion}" -a -n "${configdirs}" ] ; then
553 for configdir in ${configdirs} ; do
554 if [ -n "${verbose}" ] ; then
555 echo Configuring ${configdir}...
556 fi
557
558 if [ -d ${configdir} ] ; then
559 if [ -n "${objdir}" ] ; then
560 if [ ! -d ${objdir}/${configdir} ] ; then
561 mkdir ${objdir}/${configdir}
562 fi
563 fi
564
565 POPDIR=`pwd`
566 cd ${configdir}
567
568 if (${progname} +recurring ${host_alias} +target=${target_alias} \
569 ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
570 `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
571 ${tmpdiroption}) ; then
572 true
573 else
574 exit 1
575 fi
576
577 cd ${POPDIR}
578
579 # (cd ${configdir} ;
580 # if (${progname} +recurring ${host_alias} +target=${target_alias} \
581 # ${verbose} ${subdirs} ${removing} +destdir=${destdir} \
582 # `if [ -n "${objdir}" ] ; then echo +objdir=${objdir}/${configdir} ; fi` \
583 # ${tmpdiroption}) ; then true ; else exit 1 ; fi) \
584 # | sed 's/^/ /'
585 else
586 if [ -n "${verbose}" ] ; then
587 echo Warning: directory \"${configdir}\" is missing.
588 fi
589 fi
590 done
591 fi
592 done # for each target
593
594 # Now build a Makefile for this host.
595 if [ -n "${subdirs}" -a ! -n "${removing}" ] ; then
596 push=`pwd`
597
598 if [ -n "${objdir}" ] ; then
599 cd ${objdir}
600 fi
601
602 cd ${hostsubdir}
603 cat > GNUmakefile << 'E!O!F'
604 # Makefile generated by configure for host ${host_alias}.
605
606 ALL := $(shell ls -d T-*)
607
608 %:
609 $(foreach subdir,$(ALL),$(MAKE) -C $(subdir) \$@ &&) true
610
611 all:
612 E!O!F
613 cd ${push}
614 fi
615 done # for each host
616
617 ### clean up.
618
619 rm -f ${tmpfile}.com ${tmpfile}.tgt ${tmpfile}.hst ${tmpfile}.pos
620
621 exit 0
622
623 #
624 #
625 # $Log$
626 # Revision 1.60 1991/10/23 21:48:28 rich
627 # Makefiles should include the makefile frag names even if the makefile
628 # frag doesn't exist in *this* directory. Otherwise we inherit the
629 # variable setting from our parent Makefile.
630 #
631 # Revision 1.59 1991/10/16 19:53:31 gnu
632 # Update for SCO problems.
633 #
634 # * Fix "Larry Wall kludge" line so it works. If this script is run by csh,
635 # it will complain, feed itself to sh, and complain some more. But will work.
636 #
637 # * Use <14 char file names in /tmp.
638 #
639 # Revision 1.58 1991/10/16 06:12:52 rich
640 # Two small bugs. First, single quoted sed line doesn't need to quote
641 # '$'. Second, use quotes around the hereis document trigger in order
642 # to quote the entire contents of the hereis document.
643 #
644 # Revision 1.57 1991/10/11 05:31:05 gnu
645 # Simplify "Using" message code. Put the message that configure prints
646 # (or suppresses) into the config.status file as a comment.
647 #
648 # Revision 1.56 1991/10/10 05:01:47 rich
649 # Remove the set -e but protect the recusion call.
650 #
651 # Revision 1.55 1991/10/10 04:57:23 rich
652 # * Die when sub-configure's do.
653 # * get the makefile building message line correct.
654 # * set -e
655 #
656 # Revision 1.54 1991/10/10 01:04:42 rich
657 # Backed out the "/bin/sh config.sub" change. Fails when config.sub was
658 # on PATH.
659 #
660 # Revision 1.53 1991/10/10 00:38:08 rich
661 # Call config.sub as "/bin/sh config.sub" instead of directly. This
662 # protects us from the case where config.sub isn't executable.
663 #
664 # Revision 1.52 1991/10/09 00:48:26 rich
665 # Another patch from jim.
666 #
667 # Revision 1.51 1991/10/08 06:07:58 wilson
668 # Fix bug in smake- file code.
669 #
670 # Revision 1.50 1991/10/04 23:49:37 rich
671 # Per's patch for my config.sub botch.
672 #
673 # Revision 1.49 1991/10/04 22:52:09 rich
674 # Use john's heuristic for finding ourselves. kinda like hare krishna.
675 #
676 # Revision 1.48 1991/10/02 13:17:28 rich
677 # take out the set -e for now
678 #
679 # Revision 1.47 1991/10/02 10:02:23 rich
680 # * temporary files in TMPDIR
681 # * +objdir
682 #
683 # Revision 1.46 1991/10/02 06:29:53 rich
684 # Added +site=foo option for naming site specific Makefile fragments.
685 #
686 # Revision 1.45 1991/10/02 06:15:13 rich
687 # Removed +f option. Used to stand for +forcesubdirs which is now
688 # called +subdirs.
689 #
690 # Revision 1.44 1991/10/02 06:02:35 rich
691 # Added rcs log line.
692 #
693 #
694 #
695
696 #
697 # Local Variables:
698 # fill-column: 131
699 # End:
700 #
701
702 # end of configure
This page took 0.04583 seconds and 4 git commands to generate.